Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163132 - ypxfr gives "double free" and segmentation fault errors
Summary: ypxfr gives "double free" and segmentation fault errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ypserv
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 09:57 UTC by David Jansen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.13-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-21 12:49:27 UTC


Attachments (Terms of Use)

Description David Jansen 2005-07-13 09:57:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When running ypinit, a lot of errors scroll by from ypxfr (see below), causing the transfer of the yp maps to fail. 
Also, when ypxfr is run manually, it gives in some cases a similar error, and in other cases a segmentation faiult.

I have tried this also with SELINUX disabled and with prelink disabled, to eliminate two possible causes of problems, but the effects were the same.

Our NIS server is running on a FC3 machine, and it is working fine with other FC3 NIS slaves, and also with FC4 clients.

Version-Release number of selected component (if applicable):
ypserv-2.13-6

How reproducible:
Always

Steps to Reproduce:
1. /usr/lib/yp/ypinit -s eems.strw.leidenuniv.nl
2.
3.
  

Actual Results:  errors (see below) and no NIS setup

Expected Results:  transfer of NIS maps and a working slave server

Additional info:

Transferring networks.byaddr...
*** glibc detected *** /usr/lib/yp/ypxfr: free(): invalid pointer: 0xbff85bb3 ***
======= Backtrace: =========
/lib/libc.so.6[0x585424]
/lib/libc.so.6(__libc_free+0x77)[0x58595f]
/lib/libc.so.6(xdr_string+0xc9)[0x612f30]
/lib/libnsl.so.1(xdr_ypresp_master+0x43)[0x86aa5b]
/lib/libc.so.6(xdr_free+0x1d)[0x61269d]
/usr/lib/yp/ypxfr[0x8049ccc]
/usr/lib/yp/ypxfr[0x804ac7c]
/lib/libc.so.6(__libc_start_main+0xc6)[0x536de6]
/usr/lib/yp/ypxfr[0x80494e1]
======= Memory map: ========
00111000-0011a000 r-xp 00000000 03:01 87747      /lib/libgcc_s-4.0.0-20050520.so.1
0011a000-0011b000 rwxp 00009000 03:01 87747      /lib/libgcc_s-4.0.0-20050520.so.1
001dd000-001f7000 r-xp 00000000 03:01 87764      /lib/ld-2.3.5.so
001f7000-001f8000 r-xp 00019000 03:01 87764      /lib/ld-2.3.5.so
001f8000-001f9000 rwxp 0001a000 03:01 87764      /lib/ld-2.3.5.so
0034d000-0035c000 r-xp 00000000 03:01 87811      /lib/libresolv-2.3.5.so
0035c000-0035d000 r-xp 0000e000 03:01 87811      /lib/libresolv-2.3.5.so
0035d000-0035e000 rwxp 0000f000 03:01 87811      /lib/libresolv-2.3.5.so
0035e000-00360000 rwxp 0035e000 00:00 0
00522000-00646000 r-xp 00000000 03:01 87773      /lib/libc-2.3.5.so
00646000-00648000 r-xp 00124000 03:01 87773      /lib/libc-2.3.5.so
00648000-0064a000 rwxp 00126000 03:01 87773      /lib/libc-2.3.5.so
0064a000-0064c000 rwxp 0064a000 00:00 0
0074b000-0074f000 r-xp 00000000 03:01 87796      /lib/libnss_dns-2.3.5.so
0074f000-00750000 r-xp 00003000 03:01 87796      /lib/libnss_dns-2.3.5.so
00750000-00751000 rwxp 00004000 03:01 87796      /lib/libnss_dns-2.3.5.so
00867000-00879000 r-xp 00000000 03:01 87783      /lib/libnsl-2.3.5.so
00879000-0087a000 r-xp 00011000 03:01 87783      /lib/libnsl-2.3.5.so
0087a000-0087b000 rwxp 00012000 03:01 87783      /lib/libnsl-2.3.5.so
0087b000-0087d000 rwxp 0087b000 00:00 0
008bb000-008bc000 r-xp 008bb000 00:00 0
00fb7000-00fbd000 r-xp 00000000 03:03 985332     /usr/lib/libgdbm.so.2.0.0
00fbd000-00fbe000 rwxp 00005000 03:03 985332     /usr/lib/libgdbm.so.2.0.0
08048000-0804d000 r-xp 00000000 03:03 1212999    /usr/lib/yp/ypxfr
0804d000-0804e000 rw-p 00004000 03:03 1212999    /usr/lib/yp/ypxfr
080c8000-080e9000 rw-p 080c8000 00:00 0          [heap]
b7e00000-b7e21000 rw-p b7e00000 00:00 0
b7e21000-b7f00000 ---p b7e21000 00:00 0
b7f6e000-b7f6f000 rw-p b7f6e000 00:00 0
b7f86000-b7f87000 rw-p b7f86000 00:00 0
bff71000-bff87000 rw-p bff71000 00:00 0          [stack]
/usr/lib/yp/ypinit: line 37: 19046 Aborted                 $YPBINDIR/ypxfr -f -h $MASTER -c -d $DOMAIN $map
YPINIT: WARNING: Couldn't exec /usr/lib/yp/ypxfr -f -h eems.strw.leidenuniv.nl -c -d strw.LeidenUniv.nl networks.byaddr

Comment 1 David Jansen 2005-07-21 12:49:27 UTC
today's update (ypserv-2.13-7) fixed this bug


Note You need to log in before you can comment on or make changes to this bug.